# ApplicationFramework
TKPShape
PColgp

# PColgp_VArrayNodeOfFieldOfHArray1OfVec2d Class Reference

`#include <PColgp_VArrayNodeOfFieldOfHArray1OfVec2d.hxx>`

Inheritance diagram for PColgp_VArrayNodeOfFieldOfHArray1OfVec2d:

[legend]

## Public Member Functions

Standard_EXPORT | PColgp_VArrayNodeOfFieldOfHArray1OfVec2d ()
Standard_EXPORT | PColgp_VArrayNodeOfFieldOfHArray1OfVec2d (const gp_Vec2d &aValue)
Standard_EXPORT void | SetValue (const gp_Vec2d &aValue)
Standard_EXPORT Standard_Address | Value () const
| PColgp_VArrayNodeOfFieldOfHArray1OfVec2d (const Storage_stCONSTclCOM &a)
const gp_Vec2d & | _CSFDB_GetPColgp_VArrayNodeOfFieldOfHArray1OfVec2dmyValue () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

gp_Vec2d | myValue

## Constructor & Destructor Documentation

Standard_EXPORT PColgp_VArrayNodeOfFieldOfHArray1OfVec2d::PColgp_VArrayNodeOfFieldOfHArray1OfVec2d | ( |  | ) |

Standard_EXPORT PColgp_VArrayNodeOfFieldOfHArray1OfVec2d::PColgp_VArrayNodeOfFieldOfHArray1OfVec2d | ( | const gp_Vec2d & | aValue | ) |

PColgp_VArrayNodeOfFieldOfHArray1OfVec2d::PColgp_VArrayNodeOfFieldOfHArray1OfVec2d | ( | const Storage_stCONSTclCOM & | a | ) | `[inline]`

## Member Function Documentation

const gp_Vec2d& PColgp_VArrayNodeOfFieldOfHArray1OfVec2d::_CSFDB_GetPColgp_VArrayNodeOfFieldOfHArray1OfVec2dmyValue | ( |  | ) | const`[inline]`

Standard_EXPORT const PColgp_VArrayNodeOfFieldOfHArray1OfVec2d::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from PStandard_ArrayNode.

Standard_EXPORT void PColgp_VArrayNodeOfFieldOfHArray1OfVec2d::SetValue | ( | const gp_Vec2d & | aValue | ) |

Standard_EXPORT Standard_Address PColgp_VArrayNodeOfFieldOfHArray1OfVec2d::Value | ( |  | ) | const

## Field Documentation

gp_Vec2d PColgp_VArrayNodeOfFieldOfHArray1OfVec2d::myValue `[private]`

The documentation for this class was generated from the following file:

- PColgp_VArrayNodeOfFieldOfHArray1OfVec2d.hxx